Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface StringMonitorMBean

All Superinterfaces:
  MonitorMBean

All Known Subinterfaces:
  AMXStringMonitor

All Known Implementing Classes:
  StringMonitor

public interface StringMonitorMBean
extends MonitorMBean

Exposes the remote management interface of the string monitor MBean.

Version:
  4.23 12/19/03
Author:
  Sun Microsystems, Inc

Method Summary
`java.lang.String` | `getDerivedGauge()` Deprecated. As of JMX 1.2, replaced by `getDerivedGauge(ObjectName)`
`java.lang.String` | `getDerivedGauge(ObjectName object)` Gets the derived gauge for the specified MBean.
`long` | `getDerivedGaugeTimeStamp()` Deprecated. As of JMX 1.2, replaced by `getDerivedGaugeTimeStamp(ObjectName)`
`long` | `getDerivedGaugeTimeStamp(ObjectName object)` Gets the derived gauge timestamp for the specified MBean.
`boolean` | `getNotifyDiffer()` Gets the differing notification's on/off switch value.
`boolean` | `getNotifyMatch()` Gets the matching notification's on/off switch value.
`java.lang.String` | `getStringToCompare()` Gets the string to compare with the observed attribute.
`void` | `setNotifyDiffer(boolean value)` Sets the differing notification's on/off switch value.
`void` | `setNotifyMatch(boolean value)` Sets the matching notification's on/off switch value.
`void` | `setStringToCompare(java.lang.String value)` Sets the string to compare with the observed attribute.

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

Method Detail

### getDerivedGauge

    public java.lang.String getDerivedGauge()

  Deprecated. As of JMX 1.2, replaced by `getDerivedGauge(ObjectName)`

  Gets the derived gauge.

  Returns:
    The derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Deprecated. As of JMX 1.2, replaced by `getDerivedGaugeTimeStamp(ObjectName)`

  Gets the derived gauge timestamp.

  Returns:
    The derived gauge timestamp.

### getDerivedGauge

    public java.lang.String getDerivedGauge(ObjectName object)

  Gets the derived gauge for the specified MBean.

  Parameters:
    `object` - the MBean for which the derived gauge is to be returned
  Returns:
    The derived gauge for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.
  Since:
    JMX 1.2

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName object)

  Gets the derived gauge timestamp for the specified MBean.

  Parameters:
    `object` - the MBean for which the derived gauge timestamp is to be returned
  Returns:
    The derived gauge timestamp for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.
  Since:
    JMX 1.2

### getStringToCompare

    public java.lang.String getStringToCompare()

  Gets the string to compare with the observed attribute.

  Returns:
    The string value.
  See Also:
    `setStringToCompare(java.lang.String)`

### setStringToCompare

    public void setStringToCompare(java.lang.String value)
                            throws java.lang.IllegalArgumentException

  Sets the string to compare with the observed attribute.

  Parameters:
    `value` - The string value.
  Throws:
    `java.lang.IllegalArgumentException` - The specified string to compare is null.
  See Also:
    `getStringToCompare()`

### getNotifyMatch

    public boolean getNotifyMatch()

  Gets the matching notification's on/off switch value.

  Returns:
    `true` if the string monitor notifies when matching, `false` otherwise.
  See Also:
    `setNotifyMatch(boolean)`

### setNotifyMatch

    public void setNotifyMatch(boolean value)

  Sets the matching notification's on/off switch value.

  Parameters:
    `value` - The matching notification's on/off switch value.
  See Also:
    `getNotifyMatch()`

### getNotifyDiffer

    public boolean getNotifyDiffer()

  Gets the differing notification's on/off switch value.

  Returns:
    `true` if the string monitor notifies when differing, `false` otherwise.
  See Also:
    `setNotifyDiffer(boolean)`

### setNotifyDiffer

    public void setNotifyDiffer(boolean value)

  Sets the differing notification's on/off switch value.

  Parameters:
    `value` - The differing notification's on/off switch value.
  See Also:
    `getNotifyDiffer()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.